/** \file SlaveInfo.cpp 
*COPYRIGHT (C) 2006  Michele Basso   (basso@dsi.unifi.it)
*                    Marco Romagnoli (romagnoli@control.dsi.unifi.it)
*                    Massimo Vassalli(vassalli@inoa.it)

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
*/

#include "SlaveInfo.h"

namespace rtaixml_domain
{

SlaveInfo::~SlaveInfo()
{
}

SlaveInfo::SlaveInfo()
{
	sName = "";
	sIP = "localhost";
	iPortXML = 0;
}

SlaveInfo::SlaveInfo(std::string sN, int iPort)
{
	sName = sN;
	sIP = "localhost";
	iPortXML = iPort;
}

}
